io.undertow.security.api

## Enum AuthenticationMechanism.AuthenticationMechanismOutcome

- java.lang.Object
- - java.lang.Enum<AuthenticationMechanism.AuthenticationMechanismOutcome>
  - - io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome

All Implemented Interfaces:
  Serializable, Comparable<AuthenticationMechanism.AuthenticationMechanismOutcome>

Enclosing interface:
  AuthenticationMechanism

    public static enum AuthenticationMechanism.AuthenticationMechanismOutcome
    extends Enum<AuthenticationMechanism.AuthenticationMechanismOutcome>

The AuthenticationOutcome is used by an AuthenticationMechanism to indicate the outcome of the call to authenticate, the overall authentication process will then used this along with the current AuthenticationState to decide how to proceed with the current request.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTHENTICATED` Based on the current request the mechanism has successfully performed authentication.
`NOT_ATTEMPTED` The mechanism did not attempt authentication on this request, most likely due to not discovering any applicable security tokens for this mechanisms in the request.
`NOT_AUTHENTICATED` The mechanism attempted authentication but it did not complete, this could either be due to a failure validating the tokens from the client or it could be due to the mechanism requiring at least one additional round trip with the client - either way the request will return challenges to the client.

### Method Summary

All Methods Static Methods Concrete Methods
`static AuthenticationMechanism.AuthenticationMechanismOutcome` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthenticationMechanism.AuthenticationMechanismOutcome[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTHENTICATED

    public static final AuthenticationMechanism.AuthenticationMechanismOutcome AUTHENTICATED

Based on the current request the mechanism has successfully performed authentication.

#### NOT_ATTEMPTED

    public static final AuthenticationMechanism.AuthenticationMechanismOutcome NOT_ATTEMPTED

The mechanism did not attempt authentication on this request, most likely due to not discovering any applicable security tokens for this mechanisms in the request.

#### NOT_AUTHENTICATED

    public static final AuthenticationMechanism.AuthenticationMechanismOutcome NOT_AUTHENTICATED

The mechanism attempted authentication but it did not complete, this could either be due to a failure validating the tokens from the client or it could be due to the mechanism requiring at least one additional round trip with the client - either way the request will return challenges to the client.

### Method Detail

#### values

    public static AuthenticationMechanism.AuthenticationMechanismOutcome[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AuthenticationMechanism.AuthenticationMechanismOutcome c : AuthenticationMechanism.AuthenticationMechanismOutcome.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AuthenticationMechanism.AuthenticationMechanismOutcome valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null